## org.eclipse.emf.ecore.resource
Enum ContentHandler.Validity

    java.lang.Object
      java.lang.Enum<ContentHandler.Validity>
          org.eclipse.emf.ecore.resource.ContentHandler.Validity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContentHandler.Validity>

Enclosing interface:
  ContentHandler

    public static enum ContentHandler.Validity

extends java.lang.Enum<ContentHandler.Validity>

A value specifying the validity of a `content description`. The `validity property` will have a value of this type, i.., either `INVALID`, `INDETERMINATE`, or `VALID`.

See Also:
  `IContentDescriber.INVALID`, `IContentDescriber.INDETERMINATE`, `IContentDescriber.VALID`

Enum Constant Summary
`INDETERMINATE`
`INVALID`
`VALID`

Method Summary
`static ContentHandler.Validity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContentHandler.Validity[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INVALID

    public static final ContentHandler.Validity INVALID

See Also:
  `IContentDescriber.INVALID`

### INDETERMINATE

    public static final ContentHandler.Validity INDETERMINATE

See Also:
  `IContentDescriber.INDETERMINATE`

### VALID

    public static final ContentHandler.Validity VALID

See Also:
  `IContentDescriber.VALID`

Method Detail

### values

    public static final ContentHandler.Validity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ContentHandler.Validity c : ContentHandler.Validity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ContentHandler.Validity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.